GO-FMT(1)

NAME
go - tool for managing Go source code

SYNOPSIS
go fmt [-n] [-x] [ packages ]

DESCRIPTION
Fmt runs the command 'gofmt -l -w' on the packages named by the import paths. It prints the names of the files that are modified.

For more about gofmt, see 'godoc gofmt'.

For more about specifying packages, see go-packages(7).

To run gofmt with specific options, run gofmt itself.

OPTIONS

-n  The -n flag causes tool to print the command that would be executed but not execute it.

-x  The -x flag causes clean to print remove commands as it executes them.

SEE ALSO
go-doc(1), go-fix(1), go-vet(1).

AUTHOR

This manual page was written by Michael Stapelberg <stapelberg@debian.org>, for the Debian project (and may be used by others).